/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.PtovtaEmpresaContaBancariaDAO;
import com.rjconsultores.ventaboletos.entidad.PtovtaEmpresaContaBancaria;
import com.rjconsultores.ventaboletos.service.PtovtaEmpresaContaBancariaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

/**
 *
 * @author Desenvolvimento
 */
@Service("ptovtaEmpresaContaBancariaService")
public class PtovtaEmpresaContaBancariaServiceImpl implements PtovtaEmpresaContaBancariaService {

    @Autowired
    private PtovtaEmpresaContaBancariaDAO ptovtaEmpresaContaBancariaDAO;

    public List<PtovtaEmpresaContaBancaria> obtenerTodos() {
        return ptovtaEmpresaContaBancariaDAO.obtenerTodos();
    }

    public PtovtaEmpresaContaBancaria obtenerID(Integer id) {
        return ptovtaEmpresaContaBancariaDAO.obtenerID(id);
    }

    @Transactional
    public PtovtaEmpresaContaBancaria suscribir(PtovtaEmpresaContaBancaria entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return ptovtaEmpresaContaBancariaDAO.suscribir(entidad);
    }

    @Transactional
    public PtovtaEmpresaContaBancaria actualizacion(PtovtaEmpresaContaBancaria entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return ptovtaEmpresaContaBancariaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(PtovtaEmpresaContaBancaria entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        ptovtaEmpresaContaBancariaDAO.actualizacion(entidad);
    }

    public void borrarFisico(PtovtaEmpresaContaBancaria pto) {
    	ptovtaEmpresaContaBancariaDAO.borrarFisico(pto);
    }
}
